# Contributing

We welcome submission of algorithms and high quality code on all topics concerning quantitative economics.

Less experienced developers who wish to get involved can help improve documentation, contribute notebooks or work on smaller enhancements.

A good place to start is by visiting the [project issue tracker](https://github.com/QuantEcon/QuantEcon.jl/issues).

If you are new to open source development please consider reading [*this page*](http://quantecon.org/developer_resources.html) first.


## General Information

As a programming language, `Julia` is still new and thus some aspects of the language are still evolving as it matures. As a result there may be some changes from time to time in styles and conventions. The upside is that it is fast and quickly being adopted by the broader scientific computing community.

The `Julia` [style guide](https://docs.julialang.org/en/v1/manual/style-guide/index.html) is a good starting point for some `Julia` programming conventions.

## Writing Tests

One prerequisite for contributions to QuantEcon is that all functions and methods should be paired with tests verifying that they are functioning correctly. This type of [unit testing](https://en.wikipedia.org/wiki/Unit_testing) is almost universal across a quality software projects. A guide to writing tests in `Julia` is currently in work.
